• Register
  • Help
Results 1 to 9 of 9

Topic: Important News about Kontakt 2 Player and Mac LEOPARD OS

Share/Bookmark
  1. #1
    Moderator
    Join Date
    Oct 2000
    Location
    Orcas Island
    Posts
    11,454

    Important News about Kontakt 2 Player and Mac LEOPARD OS

    Native Instruments has a page about Kontakt 2 operability with the new Leopard OS.

    Please see Native Instruments' official statement here:


    http://www.native-instruments.com/in...?id=leopard_us

    In short:
    "Native Instruments welcomes the improvements in Mac OS X 10.5, but does currently not recommend upgrading to the new operating system version for professional audio production or live performance."
    "Installation -the installers of some NI products will currently not work under Mac OS X 10.5, causing the installation process to fail. This may also include previous versions of Service Center included with the product."

    Operation - in some NI products, calling up certain message windows will cause the application to become unresponsive under Mac OS X 10.5.

  2. #2

    Re: Important News about Kontakt 2 Player and Mac LEOPARD OS

    Haha, too late for me. I loaded a KP2 project and it seemed to play well, at least. Better watch out for them message windows.

  3. #3

    Re: Important News about Kontakt 2 Player and Mac LEOPARD OS

    I've just tried Kontakt 2 (not Kontakt Player 2) on Leopard and it is working perfectly. Heck, it's running faster on Leopard than it did on Tiger!

    Note To Those Who are Trying: I got this result by UPGRADING from Tiger to Leopard. I do not know what problems would be encountered with the installer but with my curiousity of the Leopard system, that may come soon.
    Colton J. Provias
    Film Score Composer, Location Sound Mixer, and Sound Editor
    Full-stack Web Developer

  4. #4

    Re: Important News about Kontakt 2 Player and Mac LEOPARD OS

    Thanks for posting this, although I knew this would happen. It always does, with every new OS release. It can't be helped.

    In the next two or three months there will be a Leopard 10.5.1, and Native Instruments will scramble to create fixes, because their revenue depends upon it.

    If you depend on Native Instruments products, don't upgrade from Tiger just yet. If you think you need to purchase a new Mac, DON'T until these problems are fixed. If you have a really old Mac, wait or get a fairly-recent used Mac that runs Tiger on eBay.

    Same song, eighteen millionth verse...
    Wheat Williams
    Atlanta, Georgia, USA
    Music Copyist in Sibelius
    Apple MacBook Pro, Mac OS X 10.8 Mountain Lion
    Apple Certified Support Professional. I also work with Windows.

  5. #5
    Senior Member fastlane's Avatar
    Join Date
    Nov 2004
    Location
    Shelton, Washington State
    Posts
    3,024

    Re: Important News about Kontakt 2 Player and Mac LEOPARD OS

    You can probably buy a new Mac from an Apple reseller with Tiger installed and an included Leopard upgrade disk for a short time. New Macs with Leopard loaded are probably not Tiger compatible.

  6. #6
    Senior Member
    Join Date
    Aug 2005
    Location
    Orlando, Florida
    Posts
    458

    Re: Important News about Kontakt 2 Player and Mac LEOPARD OS

    Quote Originally Posted by Garritan

    "Native Instruments welcomes the improvements in Mac OS X 10.5, but does currently not recommend upgrading to the new operating system version for professional audio production or live performance."
    "Installation -the installers of some NI products will currently not work under Mac OS X 10.5, causing the installation process to fail. This may also include previous versions of Service Center included with the product."

    Operation - in some NI products, calling up certain message windows will cause the application to become unresponsive under Mac OS X 10.5.
    Ach du lieber! (Apologies to Gunther!)

  7. #7

    Re: Important News about Kontakt 2 Player and Mac LEOPARD OS

    I bought a new MacBook over the weekend and have been trying to get my tools setup on it. Here has been my experience so far:

    1. Logic 8 - of course that was flawless...

    2. Sibelius 5 and 5.1 Update - Installation went just fine but could not install the Sound Essentials due to the problem listed on the page Gary linked above. Today however NI posted a fix for the installer so I was able to get the Sibelius Essential Sounds installed. I did have to copy all of the files from the DVD to my computer and then patch the installer before it would work but now it seems just fine.

    3. I installed GPO and while it worked, I can't seem to get the registration right. I called NI and they were able to get me up and going as far as registering through Service Center is concerned but no amount of registering seems to allow me to run GPO without the 30 Demo warning. Not sure if this is Leopard related or just me.

    I installed GPO from the DVD and registered it with Service Center (Registration Tool is no longer supported). I installed the KP2 Update and re-registered with the new seriel number and that seems to be ok. But when I acually run KP2 I am told the GPO is in Demo mode. Any ideas?

  8. #8

    Re: Important News about Kontakt 2 Player and Mac LEOPARD OS

    For what it's worth, I was able to get this problem resolved. I had to follow some uninstall steps for Service Center which were provided by Vargas at Native Instruments. After following his instructions and re-running Service Center my GPO Library loads without the Demo warning.

    So, the good news is I am using GPO with KP2 on Mac OS 10.5 (Leopard) and GPO seems to load and work in Logic 8 and Sibelius 5.1. This is all on a new MacBook (not-pro) with the new chipset released last week.

    Perhaps others may find this information helpful.

    Cheers

    -zach

  9. #9
    New Member
    Join Date
    Jan 2007
    Location
    London, ON, Canada
    Posts
    5

    Re: Important News about Kontakt 2 Player and Mac LEOPARD OS

    Hi all,

    I have a new macbook (Leopard), and can't get LogicPro8 to recognize the KontaktPlayer2 as an AU (I have both GPO and JABB). The stand-alone player works fine (version 2.2.4), and my akoustik Piano AU works fine in LogicPro, so it's not a Logic Pro problem (as far as I can tell).

    I've tried resetting the timstamp on the AU, and I've also tried clearing the audio unit cache, but neither of these attempts has yielded results in LogicPro (8.0.1). I see that some of you have the AU's working in LogicPro with Leopard, so I wonder if you have any ideas on what I need to do?

    Thanks,
    Mark
    Mark

Go Back to forum

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •